Properties Methods Events Direct Link

# Class Ext.util.Cookies

Package: | Ext.util
Defined In: | Cookies.js
Class: | Cookies
Extends: | Object

Utility class for managing and interacting with cookies.
This class is a singleton and cannot be created directly.

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

clear( `String name` ) : void
Removes a cookie with the provided name from the browser if found by setting its expiration date to sometime in the p...
Removes a cookie with the provided name from the browser if found by setting its expiration date to sometime in the past.
Parameters:

- `name` : String
  The name of the cookie to remove

Returns:

- void

Cookies

get( `String name` ) : Mixed
Retrieves cookies that are accessible by the current page. If a cookie does not exist, get() returns null. The follo...
Retrieves cookies that are accessible by the current page. If a cookie does not exist, `get()` returns `null`. The following example retrieves the cookie called "valid" and stores the String value in the variable `validStatus`.

    var validStatus = Ext.util.Cookies.get("valid");

Parameters:

- `name` : String
  The name of the cookie to get

Returns:

- `Mixed`
  Returns the cookie value for the specified name; null if the cookie name does not exist.

Cookies

set( `String name`, `Mixed value`, [`Object expires`], [`String path`], [`String domain`], [`Boolean secure`] ) : void
Create a cookie with the specified name and value. Additional settings for the cookie may be optionally specified (fo...
Create a cookie with the specified name and value. Additional settings for the cookie may be optionally specified (for example: expiration, access restriction, SSL).
Parameters:

- `name` : String
  The name of the cookie to set.
- `value` : Mixed
  The value to set for the cookie.
- `expires` : Object
  (Optional) Specify an expiration date the cookie is to persist until. Note that the specified Date object will be converted to Greenwich Mean Time (GMT).
- `path` : String
  (Optional) Setting a path on the cookie restricts access to pages that match that path. Defaults to all pages (`'/'`).
- `domain` : String
  (Optional) Setting a domain restricts access to pages on a given domain (typically used to allow cookie access across subdomains). For example, "extjs.com" will create a cookie that can be accessed from any subdomain of extjs.com, including www.extjs.com, support.extjs.com, etc.
- `secure` : Boolean
  (Optional) Specify true to indicate that the cookie should only be accessible via SSL on a page using the HTTPS protocol. Defaults to `false`. Note that this will only work if the page calling this code uses the HTTPS protocol, otherwise the cookie will be created with default options.

Returns:

- void

Cookies

## Public Events

This class has no public events.